Bug 193227 - Web Inspector: Audit: provide a way to get related Accessibility properties for a given node
Summary: Web Inspector: Audit: provide a way to get related Accessibility properties f...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on: WebInspectorAuditTab 193149
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-07 21:30 PST by Devin Rousso
Modified: 2019-01-22 16:33 PST (History)
13 users (show)

See Also:


Attachments
Patch (10.04 KB, patch)
2019-01-07 21:32 PST, Devin Rousso
drousso: commit-queue-
Details | Formatted Diff | Diff
Patch (12.56 KB, patch)
2019-01-10 17:03 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (15.01 KB, patch)
2019-01-22 14:33 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (15.20 KB, patch)
2019-01-22 15:08 PST, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2019-01-07 21:30:20 PST
This corresponds to the following `DOM.AccessibilityProperties` properties:
 - busy
 - checked
 - current
 - disabled
 - expanded
 - focused
 - headingLevel
 - hidden
 - hierarchyLevel
 - ignored
 - ignoredByDefault
 - invalid
 - isPopUpButton
 - label
 - liveRegionAtomic
 - liveRegionRelevant
 - liveRegionStatus
 - pressed
 - readonly
 - required
 - role
 - selected
Comment 1 Devin Rousso 2019-01-07 21:30:41 PST
<rdar://problem/46787862>
Comment 2 Devin Rousso 2019-01-07 21:32:20 PST
Created attachment 358569 [details]
Patch

Will write tests later, once I have had a chance to look more into the other inspector accessibility tests.
Comment 3 Devin Rousso 2019-01-10 17:03:12 PST
Created attachment 358853 [details]
Patch
Comment 4 Joseph Pecoraro 2019-01-14 14:16:55 PST
Comment on attachment 358853 [details]
Patch

r-, this one needs some kind of test (even if it is not exhaustive but at least tests the code path. Otherwise this seems good.
Comment 5 Devin Rousso 2019-01-22 14:33:51 PST
Created attachment 359775 [details]
Patch
Comment 6 Joseph Pecoraro 2019-01-22 15:00:48 PST
Comment on attachment 359775 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=359775&action=review

r=me

> LayoutTests/inspector/audit/run-accessibility.html:21
> +        return JSON.stringify(mapped);

You could prettyify this `JSON.stringify(mapped, null, 4)` which would make failure diffs easy to understand if a single property changed.
Comment 7 Devin Rousso 2019-01-22 15:08:22 PST
Created attachment 359783 [details]
Patch
Comment 8 WebKit Commit Bot 2019-01-22 16:33:04 PST
Comment on attachment 359783 [details]
Patch

Clearing flags on attachment: 359783

Committed r240309: <https://trac.webkit.org/changeset/240309>
Comment 9 WebKit Commit Bot 2019-01-22 16:33:06 PST
All reviewed patches have been landed.  Closing bug.